import { NUMERICAL_FORMATS } from './constants';
import { type ExcludeKind } from './filter-shell';
import type { ColumnOptions, SharedColumnOptions } from './types';
type NumericalFormats = typeof NUMERICAL_FORMATS.DEFAULT | typeof NUMERICAL_FORMATS.ACCOUNTING | typeof NUMERICAL_FORMATS.PERCENTAGE;
type Options = {
    format?: NumericalFormats | ((value: number) => string);
    highlight?: (a: number) => boolean;
    precision?: number;
} & SharedColumnOptions<number>;
type FilterParameters = {
    lowerValue: number;
    upperValue: number;
    description: string;
    exclude: boolean;
    excludeKind: ExcludeKind;
};
type NumericalColumn = ColumnOptions<number, FilterParameters>;
declare function NumericalColumn(options: Options): NumericalColumn;
export default NumericalColumn;
