"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Helper = Helper;
var React = _interopRequireWildcard(require("react"));
var _popover = require("../popover");
var _overrides = require("../helpers/overrides");
var _styledComponents = require("./styled-components");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); } /*
Copyright (c) Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
function Helper(props) {
  const {
    overrides = {},
    placement,
    ...restProps
  } = props;
  const mergedOverrides = (0, _overrides.mergeOverrides)({
    Arrow: placement !== _popover.PLACEMENT.auto ? _styledComponents.StyledArrow : {},
    Body: placement !== _popover.PLACEMENT.auto ? _styledComponents.StyledBody : {},
    Inner: {
      style: ({
        $theme
      }) => {
        return {
          backgroundColor: $theme.colors.backgroundPrimary
        };
      }
    }
  }, overrides);
  return /*#__PURE__*/React.createElement(_popover.Popover, _extends({
    "data-baseweb": "helper"
  }, restProps, {
    autoFocus: false,
    placement: placement,
    overrides: mergedOverrides
  }));
}
Helper.defaultProps = {
  ..._popover.Popover.defaultProps,
  placement: _popover.PLACEMENT.bottom,
  showArrow: true
};