"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.STYLE_VALUES = exports.STYLE = exports.BEHAVIOR = exports.ALIGNMENT = void 0;
/*
Copyright (c) Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
const BEHAVIOR = exports.BEHAVIOR = Object.freeze({
  fluid: 'fluid',
  fixed: 'fixed'
});
const ALIGNMENT = exports.ALIGNMENT = Object.freeze({
  start: 'flex-start',
  center: 'center',
  end: 'flex-end'
});
const STYLE = exports.STYLE = Object.freeze({
  default: 'default',
  compact: 'compact'
});
const STYLE_VALUES = exports.STYLE_VALUES = Object.freeze({
  [STYLE.default]: null,
  [STYLE.compact]: {
    columns: [4, 8, 12],
    gutters: [16, 16, 16],
    margins: [16, 24, 24],
    gaps: 0,
    unit: 'px',
    maxWidth: 1280
  }
});