import React from 'react';
import type { PhoneInputLiteProps } from './types';
declare function PhoneInputNext(props: PhoneInputLiteProps): React.JSX.Element;
declare namespace PhoneInputNext {
    var defaultProps: {
        countries: {
            readonly AF: {
                readonly label: "Afghanistan (‫افغانستان‬‎)";
                readonly id: "AF";
                readonly dialCode: "+93";
            };
            readonly AL: {
                readonly label: "Albania (Shqipëri)";
                readonly id: "AL";
                readonly dialCode: "+355";
            };
            readonly DZ: {
                readonly label: "Algeria (‫الجزائر‬‎)";
                readonly id: "DZ";
                readonly dialCode: "+213";
            };
            readonly AS: {
                readonly label: "American Samoa";
                readonly id: "AS";
                readonly dialCode: "+1684";
            };
            readonly AD: {
                readonly label: "Andorra";
                readonly id: "AD";
                readonly dialCode: "+376";
            };
            readonly AO: {
                readonly label: "Angola";
                readonly id: "AO";
                readonly dialCode: "+244";
            };
            readonly AI: {
                readonly label: "Anguilla";
                readonly id: "AI";
                readonly dialCode: "+1264";
            };
            readonly AG: {
                readonly label: "Antigua and Barbuda";
                readonly id: "AG";
                readonly dialCode: "+1268";
            };
            readonly AR: {
                readonly label: "Argentina";
                readonly id: "AR";
                readonly dialCode: "+54";
            };
            readonly AM: {
                readonly label: "Armenia (Հայաստան)";
                readonly id: "AM";
                readonly dialCode: "+374";
            };
            readonly AW: {
                readonly label: "Aruba";
                readonly id: "AW";
                readonly dialCode: "+297";
            };
            readonly AU: {
                readonly label: "Australia";
                readonly id: "AU";
                readonly dialCode: "+61";
            };
            readonly AT: {
                readonly label: "Austria (Österreich)";
                readonly id: "AT";
                readonly dialCode: "+43";
            };
            readonly AZ: {
                readonly label: "Azerbaijan (Azərbaycan)";
                readonly id: "AZ";
                readonly dialCode: "+994";
            };
            readonly BS: {
                readonly label: "Bahamas";
                readonly id: "BS";
                readonly dialCode: "+1242";
            };
            readonly BH: {
                readonly label: "Bahrain (‫البحرين‬‎)";
                readonly id: "BH";
                readonly dialCode: "+973";
            };
            readonly BD: {
                readonly label: "Bangladesh (বাংলাদেশ)";
                readonly id: "BD";
                readonly dialCode: "+880";
            };
            readonly BB: {
                readonly label: "Barbados";
                readonly id: "BB";
                readonly dialCode: "+1246";
            };
            readonly BY: {
                readonly label: "Belarus (Беларусь)";
                readonly id: "BY";
                readonly dialCode: "+375";
            };
            readonly BE: {
                readonly label: "Belgium (België)";
                readonly id: "BE";
                readonly dialCode: "+32";
            };
            readonly BZ: {
                readonly label: "Belize";
                readonly id: "BZ";
                readonly dialCode: "+501";
            };
            readonly BJ: {
                readonly label: "Benin (Bénin)";
                readonly id: "BJ";
                readonly dialCode: "+229";
            };
            readonly BM: {
                readonly label: "Bermuda";
                readonly id: "BM";
                readonly dialCode: "+1441";
            };
            readonly BT: {
                readonly label: "Bhutan (འབྲུག)";
                readonly id: "BT";
                readonly dialCode: "+975";
            };
            readonly BO: {
                readonly label: "Bolivia";
                readonly id: "BO";
                readonly dialCode: "+591";
            };
            readonly BA: {
                readonly label: "Bosnia and Herzegovina (Босна и Херцеговина)";
                readonly id: "BA";
                readonly dialCode: "+387";
            };
            readonly BW: {
                readonly label: "Botswana";
                readonly id: "BW";
                readonly dialCode: "+267";
            };
            readonly BR: {
                readonly label: "Brazil (Brasil)";
                readonly id: "BR";
                readonly dialCode: "+55";
            };
            readonly IO: {
                readonly label: "British Indian Ocean Territory";
                readonly id: "IO";
                readonly dialCode: "+246";
            };
            readonly VG: {
                readonly label: "British Virgin Islands";
                readonly id: "VG";
                readonly dialCode: "+1284";
            };
            readonly BN: {
                readonly label: "Brunei";
                readonly id: "BN";
                readonly dialCode: "+673";
            };
            readonly BG: {
                readonly label: "Bulgaria (България)";
                readonly id: "BG";
                readonly dialCode: "+359";
            };
            readonly BF: {
                readonly label: "Burkina Faso";
                readonly id: "BF";
                readonly dialCode: "+226";
            };
            readonly BI: {
                readonly label: "Burundi (Uburundi)";
                readonly id: "BI";
                readonly dialCode: "+257";
            };
            readonly KH: {
                readonly label: "Cambodia (កម្ពុជា)";
                readonly id: "KH";
                readonly dialCode: "+855";
            };
            readonly CM: {
                readonly label: "Cameroon (Cameroun)";
                readonly id: "CM";
                readonly dialCode: "+237";
            };
            readonly CA: {
                readonly label: "Canada";
                readonly id: "CA";
                readonly dialCode: "+1";
            };
            readonly CV: {
                readonly label: "Cape Verde (Kabu Verdi)";
                readonly id: "CV";
                readonly dialCode: "+238";
            };
            readonly KY: {
                readonly label: "Cayman Islands";
                readonly id: "KY";
                readonly dialCode: "+1345";
            };
            readonly CF: {
                readonly label: "Central African Republic (République centrafricaine)";
                readonly id: "CF";
                readonly dialCode: "+236";
            };
            readonly TD: {
                readonly label: "Chad (Tchad)";
                readonly id: "TD";
                readonly dialCode: "+235";
            };
            readonly CL: {
                readonly label: "Chile";
                readonly id: "CL";
                readonly dialCode: "+56";
            };
            readonly CN: {
                readonly label: "China (中国)";
                readonly id: "CN";
                readonly dialCode: "+86";
            };
            readonly CX: {
                readonly label: "Christmas Island";
                readonly id: "CX";
                readonly dialCode: "+61";
            };
            readonly CC: {
                readonly label: "Cocos (Keeling) Islands";
                readonly id: "CC";
                readonly dialCode: "+61";
            };
            readonly CO: {
                readonly label: "Colombia";
                readonly id: "CO";
                readonly dialCode: "+57";
            };
            readonly KM: {
                readonly label: "Comoros (‫جزر القمر‬‎)";
                readonly id: "KM";
                readonly dialCode: "+269";
            };
            readonly CD: {
                readonly label: "Congo (DRC) (Jamhuri ya Kisoemokrasia ya Kongo)";
                readonly id: "CD";
                readonly dialCode: "+243";
            };
            readonly CG: {
                readonly label: "Congo (Republic) (Congo-Brazzaville)";
                readonly id: "CG";
                readonly dialCode: "+242";
            };
            readonly CK: {
                readonly label: "Cook Islands";
                readonly id: "CK";
                readonly dialCode: "+682";
            };
            readonly CR: {
                readonly label: "Costa Rica";
                readonly id: "CR";
                readonly dialCode: "+506";
            };
            readonly CI: {
                readonly label: "Côte d’Ivoire";
                readonly id: "CI";
                readonly dialCode: "+225";
            };
            readonly HR: {
                readonly label: "Croatia (Hrvatska)";
                readonly id: "HR";
                readonly dialCode: "+385";
            };
            readonly CU: {
                readonly label: "Cuba";
                readonly id: "CU";
                readonly dialCode: "+53";
            };
            readonly CW: {
                readonly label: "Curaçao";
                readonly id: "CW";
                readonly dialCode: "+599";
            };
            readonly CY: {
                readonly label: "Cyprus (Κύπρος)";
                readonly id: "CY";
                readonly dialCode: "+357";
            };
            readonly CZ: {
                readonly label: "Czech Republic (Česká republika)";
                readonly id: "CZ";
                readonly dialCode: "+420";
            };
            readonly DK: {
                readonly label: "Denmark (Danmark)";
                readonly id: "DK";
                readonly dialCode: "+45";
            };
            readonly DJ: {
                readonly label: "Djibouti";
                readonly id: "DJ";
                readonly dialCode: "+253";
            };
            readonly DM: {
                readonly label: "Dominica";
                readonly id: "DM";
                readonly dialCode: "+1767";
            };
            readonly DO: {
                readonly label: "Dominican Republic (República Dominicana)";
                readonly id: "DO";
                readonly dialCode: "+1";
            };
            readonly EC: {
                readonly label: "Ecuador";
                readonly id: "EC";
                readonly dialCode: "+593";
            };
            readonly EG: {
                readonly label: "Egypt (‫مصر‬‎)";
                readonly id: "EG";
                readonly dialCode: "+20";
            };
            readonly SV: {
                readonly label: "El Salvador";
                readonly id: "SV";
                readonly dialCode: "+503";
            };
            readonly GQ: {
                readonly label: "Equatorial Guinea (Guinea Ecuatorial)";
                readonly id: "GQ";
                readonly dialCode: "+240";
            };
            readonly ER: {
                readonly label: "Eritrea";
                readonly id: "ER";
                readonly dialCode: "+291";
            };
            readonly EE: {
                readonly label: "Estonia (Eesti)";
                readonly id: "EE";
                readonly dialCode: "+372";
            };
            readonly ET: {
                readonly label: "Ethiopia";
                readonly id: "ET";
                readonly dialCode: "+251";
            };
            readonly FK: {
                readonly label: "Falkland Islands (Islas Malvinas)";
                readonly id: "FK";
                readonly dialCode: "+500";
            };
            readonly FO: {
                readonly label: "Faroe Islands (Føroyar)";
                readonly id: "FO";
                readonly dialCode: "+298";
            };
            readonly FJ: {
                readonly label: "Fiji";
                readonly id: "FJ";
                readonly dialCode: "+679";
            };
            readonly FI: {
                readonly label: "Finland (Suomi)";
                readonly id: "FI";
                readonly dialCode: "+358";
            };
            readonly FR: {
                readonly label: "France";
                readonly id: "FR";
                readonly dialCode: "+33";
            };
            readonly GF: {
                readonly label: "French Guiana (Guyane française)";
                readonly id: "GF";
                readonly dialCode: "+594";
            };
            readonly PF: {
                readonly label: "French Polynesia (Polynésie française)";
                readonly id: "PF";
                readonly dialCode: "+689";
            };
            readonly GA: {
                readonly label: "Gabon";
                readonly id: "GA";
                readonly dialCode: "+241";
            };
            readonly GM: {
                readonly label: "Gambia";
                readonly id: "GM";
                readonly dialCode: "+220";
            };
            readonly GE: {
                readonly label: "Georgia (საქართველო)";
                readonly id: "GE";
                readonly dialCode: "+995";
            };
            readonly DE: {
                readonly label: "Germany (Deutschland)";
                readonly id: "DE";
                readonly dialCode: "+49";
            };
            readonly GH: {
                readonly label: "Ghana (Gaana)";
                readonly id: "GH";
                readonly dialCode: "+233";
            };
            readonly GI: {
                readonly label: "Gibraltar";
                readonly id: "GI";
                readonly dialCode: "+350";
            };
            readonly GR: {
                readonly label: "Greece (Ελλάδα)";
                readonly id: "GR";
                readonly dialCode: "+30";
            };
            readonly GL: {
                readonly label: "Greenland (Kalaallit Nunaat)";
                readonly id: "GL";
                readonly dialCode: "+299";
            };
            readonly GD: {
                readonly label: "Grenada";
                readonly id: "GD";
                readonly dialCode: "+1473";
            };
            readonly GP: {
                readonly label: "Guadeloupe";
                readonly id: "GP";
                readonly dialCode: "+590";
            };
            readonly GU: {
                readonly label: "Guam";
                readonly id: "GU";
                readonly dialCode: "+1671";
            };
            readonly GT: {
                readonly label: "Guatemala";
                readonly id: "GT";
                readonly dialCode: "+502";
            };
            readonly GG: {
                readonly label: "Guernsey";
                readonly id: "GG";
                readonly dialCode: "+44";
            };
            readonly GN: {
                readonly label: "Guinea (Guinée)";
                readonly id: "GN";
                readonly dialCode: "+224";
            };
            readonly GW: {
                readonly label: "Guinea-Bissau (Guiné Bissau)";
                readonly id: "GW";
                readonly dialCode: "+245";
            };
            readonly GY: {
                readonly label: "Guyana";
                readonly id: "GY";
                readonly dialCode: "+592";
            };
            readonly HT: {
                readonly label: "Haiti";
                readonly id: "HT";
                readonly dialCode: "+509";
            };
            readonly HN: {
                readonly label: "Honduras";
                readonly id: "HN";
                readonly dialCode: "+504";
            };
            readonly HK: {
                readonly label: "Hong Kong (香港)";
                readonly id: "HK";
                readonly dialCode: "+852";
            };
            readonly HU: {
                readonly label: "Hungary (Magyarország)";
                readonly id: "HU";
                readonly dialCode: "+36";
            };
            readonly IS: {
                readonly label: "Iceland (Ísland)";
                readonly id: "IS";
                readonly dialCode: "+354";
            };
            readonly IN: {
                readonly label: "India (भारत)";
                readonly id: "IN";
                readonly dialCode: "+91";
            };
            readonly ID: {
                readonly label: "Indonesia";
                readonly id: "ID";
                readonly dialCode: "+62";
            };
            readonly IR: {
                readonly label: "Iran (‫ایران‬‎)";
                readonly id: "IR";
                readonly dialCode: "+98";
            };
            readonly IQ: {
                readonly label: "Iraq (‫العراق‬‎)";
                readonly id: "IQ";
                readonly dialCode: "+964";
            };
            readonly IE: {
                readonly label: "Ireland";
                readonly id: "IE";
                readonly dialCode: "+353";
            };
            readonly IM: {
                readonly label: "Isle of Man";
                readonly id: "IM";
                readonly dialCode: "+44";
            };
            readonly IL: {
                readonly label: "Israel (‫ישראל‬‎)";
                readonly id: "IL";
                readonly dialCode: "+972";
            };
            readonly IT: {
                readonly label: "Italy (Italia)";
                readonly id: "IT";
                readonly dialCode: "+39";
            };
            readonly JM: {
                readonly label: "Jamaica";
                readonly id: "JM";
                readonly dialCode: "+1";
            };
            readonly JP: {
                readonly label: "Japan (日本)";
                readonly id: "JP";
                readonly dialCode: "+81";
            };
            readonly JE: {
                readonly label: "Jersey";
                readonly id: "JE";
                readonly dialCode: "+44";
            };
            readonly JO: {
                readonly label: "Jordan (‫الأردن‬‎)";
                readonly id: "JO";
                readonly dialCode: "+962";
            };
            readonly KZ: {
                readonly label: "Kazakhstan (Казахстан)";
                readonly id: "KZ";
                readonly dialCode: "+7";
            };
            readonly KE: {
                readonly label: "Kenya";
                readonly id: "KE";
                readonly dialCode: "+254";
            };
            readonly KI: {
                readonly label: "Kiribati";
                readonly id: "KI";
                readonly dialCode: "+686";
            };
            readonly XK: {
                readonly label: "Kosovo";
                readonly id: "XK";
                readonly dialCode: "+383";
            };
            readonly KW: {
                readonly label: "Kuwait (‫الكويت‬‎)";
                readonly id: "KW";
                readonly dialCode: "+965";
            };
            readonly KG: {
                readonly label: "Kyrgyzstan (Кыргызстан)";
                readonly id: "KG";
                readonly dialCode: "+996";
            };
            readonly LA: {
                readonly label: "Laos (ລາວ)";
                readonly id: "LA";
                readonly dialCode: "+856";
            };
            readonly LV: {
                readonly label: "Latvia (Latvija)";
                readonly id: "LV";
                readonly dialCode: "+371";
            };
            readonly LB: {
                readonly label: "Lebanon (‫لبنان‬‎)";
                readonly id: "LB";
                readonly dialCode: "+961";
            };
            readonly LS: {
                readonly label: "Lesotho";
                readonly id: "LS";
                readonly dialCode: "+266";
            };
            readonly LR: {
                readonly label: "Liberia";
                readonly id: "LR";
                readonly dialCode: "+231";
            };
            readonly LY: {
                readonly label: "Libya (‫ليبيا‬‎)";
                readonly id: "LY";
                readonly dialCode: "+218";
            };
            readonly LI: {
                readonly label: "Liechtenstein";
                readonly id: "LI";
                readonly dialCode: "+423";
            };
            readonly LT: {
                readonly label: "Lithuania (Lietuva)";
                readonly id: "LT";
                readonly dialCode: "+370";
            };
            readonly LU: {
                readonly label: "Luxembourg";
                readonly id: "LU";
                readonly dialCode: "+352";
            };
            readonly MO: {
                readonly label: "Macau (澳門)";
                readonly id: "MO";
                readonly dialCode: "+853";
            };
            readonly MK: {
                readonly label: "North Macedonia (FYROM) (Македонија)";
                readonly id: "MK";
                readonly dialCode: "+389";
            };
            readonly MG: {
                readonly label: "Madagascar (Madagasikara)";
                readonly id: "MG";
                readonly dialCode: "+261";
            };
            readonly MW: {
                readonly label: "Malawi";
                readonly id: "MW";
                readonly dialCode: "+265";
            };
            readonly MY: {
                readonly label: "Malaysia";
                readonly id: "MY";
                readonly dialCode: "+60";
            };
            readonly MV: {
                readonly label: "Maldives";
                readonly id: "MV";
                readonly dialCode: "+960";
            };
            readonly ML: {
                readonly label: "Mali";
                readonly id: "ML";
                readonly dialCode: "+223";
            };
            readonly MT: {
                readonly label: "Malta";
                readonly id: "MT";
                readonly dialCode: "+356";
            };
            readonly MH: {
                readonly label: "Marshall Islands";
                readonly id: "MH";
                readonly dialCode: "+692";
            };
            readonly MQ: {
                readonly label: "Martinique";
                readonly id: "MQ";
                readonly dialCode: "+596";
            };
            readonly MR: {
                readonly label: "Mauritania (‫موريتانيا‬‎)";
                readonly id: "MR";
                readonly dialCode: "+222";
            };
            readonly MU: {
                readonly label: "Mauritius (Moris)";
                readonly id: "MU";
                readonly dialCode: "+230";
            };
            readonly YT: {
                readonly label: "Mayotte";
                readonly id: "YT";
                readonly dialCode: "+262";
            };
            readonly MX: {
                readonly label: "Mexico (México)";
                readonly id: "MX";
                readonly dialCode: "+52";
            };
            readonly FM: {
                readonly label: "Micronesia";
                readonly id: "FM";
                readonly dialCode: "+691";
            };
            readonly MD: {
                readonly label: "Moldova (Republica Moldova)";
                readonly id: "MD";
                readonly dialCode: "+373";
            };
            readonly MC: {
                readonly label: "Monaco";
                readonly id: "MC";
                readonly dialCode: "+377";
            };
            readonly MN: {
                readonly label: "Mongolia (Монгол)";
                readonly id: "MN";
                readonly dialCode: "+976";
            };
            readonly ME: {
                readonly label: "Montenegro (Crna Gora)";
                readonly id: "ME";
                readonly dialCode: "+382";
            };
            readonly MS: {
                readonly label: "Montserrat";
                readonly id: "MS";
                readonly dialCode: "+1664";
            };
            readonly MA: {
                readonly label: "Morocco (‫المغرب‬‎)";
                readonly id: "MA";
                readonly dialCode: "+212";
            };
            readonly MZ: {
                readonly label: "Mozambique (Moçambique)";
                readonly id: "MZ";
                readonly dialCode: "+258";
            };
            readonly MM: {
                readonly label: "Myanmar (Burma) (မြန်မာ)";
                readonly id: "MM";
                readonly dialCode: "+95";
            };
            readonly NA: {
                readonly label: "Namibia (Namibië)";
                readonly id: "NA";
                readonly dialCode: "+264";
            };
            readonly NR: {
                readonly label: "Nauru";
                readonly id: "NR";
                readonly dialCode: "+674";
            };
            readonly NP: {
                readonly label: "Nepal (नेपाल)";
                readonly id: "NP";
                readonly dialCode: "+977";
            };
            readonly NL: {
                readonly label: "Netherlands (Nederland)";
                readonly id: "NL";
                readonly dialCode: "+31";
            };
            readonly NC: {
                readonly label: "New Caledonia (Nouvelle-Calédonie)";
                readonly id: "NC";
                readonly dialCode: "+687";
            };
            readonly NZ: {
                readonly label: "New Zealand";
                readonly id: "NZ";
                readonly dialCode: "+64";
            };
            readonly NI: {
                readonly label: "Nicaragua";
                readonly id: "NI";
                readonly dialCode: "+505";
            };
            readonly NE: {
                readonly label: "Niger (Nijar)";
                readonly id: "NE";
                readonly dialCode: "+227";
            };
            readonly NG: {
                readonly label: "Nigeria";
                readonly id: "NG";
                readonly dialCode: "+234";
            };
            readonly NU: {
                readonly label: "Niue";
                readonly id: "NU";
                readonly dialCode: "+683";
            };
            readonly NF: {
                readonly label: "Norfolk Island";
                readonly id: "NF";
                readonly dialCode: "+672";
            };
            readonly KP: {
                readonly label: "North Korea (조선 민주주의 인민 공화국)";
                readonly id: "KP";
                readonly dialCode: "+850";
            };
            readonly MP: {
                readonly label: "Northern Mariana Islands";
                readonly id: "MP";
                readonly dialCode: "+1670";
            };
            readonly NO: {
                readonly label: "Norway (Norge)";
                readonly id: "NO";
                readonly dialCode: "+47";
            };
            readonly OM: {
                readonly label: "Oman (‫عُمان‬‎)";
                readonly id: "OM";
                readonly dialCode: "+968";
            };
            readonly PK: {
                readonly label: "Pakistan (‫پاکستان‬‎)";
                readonly id: "PK";
                readonly dialCode: "+92";
            };
            readonly PW: {
                readonly label: "Palau";
                readonly id: "PW";
                readonly dialCode: "+680";
            };
            readonly PS: {
                readonly label: "Palestine (‫فلسطين‬‎)";
                readonly id: "PS";
                readonly dialCode: "+970";
            };
            readonly PA: {
                readonly label: "Panama (Panamá)";
                readonly id: "PA";
                readonly dialCode: "+507";
            };
            readonly PG: {
                readonly label: "Papua New Guinea";
                readonly id: "PG";
                readonly dialCode: "+675";
            };
            readonly PY: {
                readonly label: "Paraguay";
                readonly id: "PY";
                readonly dialCode: "+595";
            };
            readonly PE: {
                readonly label: "Peru (Perú)";
                readonly id: "PE";
                readonly dialCode: "+51";
            };
            readonly PH: {
                readonly label: "Philippines";
                readonly id: "PH";
                readonly dialCode: "+63";
            };
            readonly PL: {
                readonly label: "Poland (Polska)";
                readonly id: "PL";
                readonly dialCode: "+48";
            };
            readonly PT: {
                readonly label: "Portugal";
                readonly id: "PT";
                readonly dialCode: "+351";
            };
            readonly PR: {
                readonly label: "Puerto Rico";
                readonly id: "PR";
                readonly dialCode: "+1";
            };
            readonly QA: {
                readonly label: "Qatar (‫قطر‬‎)";
                readonly id: "QA";
                readonly dialCode: "+974";
            };
            readonly RE: {
                readonly label: "Réunion (La Réunion)";
                readonly id: "RE";
                readonly dialCode: "+262";
            };
            readonly RO: {
                readonly label: "Romania (România)";
                readonly id: "RO";
                readonly dialCode: "+40";
            };
            readonly RU: {
                readonly label: "Russia (Россия)";
                readonly id: "RU";
                readonly dialCode: "+7";
            };
            readonly RW: {
                readonly label: "Rwanda";
                readonly id: "RW";
                readonly dialCode: "+250";
            };
            readonly BL: {
                readonly label: "Saint Barthélemy";
                readonly id: "BL";
                readonly dialCode: "+590";
            };
            readonly SH: {
                readonly label: "Saint Helena";
                readonly id: "SH";
                readonly dialCode: "+290";
            };
            readonly KN: {
                readonly label: "Saint Kitts and Nevis";
                readonly id: "KN";
                readonly dialCode: "+1869";
            };
            readonly LC: {
                readonly label: "Saint Lucia";
                readonly id: "LC";
                readonly dialCode: "+1758";
            };
            readonly MF: {
                readonly label: "Saint Martin (Saint-Martin (partie française))";
                readonly id: "MF";
                readonly dialCode: "+590";
            };
            readonly PM: {
                readonly label: "Saint Pierre and Miquelon (Saint-Pierre-et-Miquelon)";
                readonly id: "PM";
                readonly dialCode: "+508";
            };
            readonly VC: {
                readonly label: "Saint Vincent and the Grenadines";
                readonly id: "VC";
                readonly dialCode: "+1784";
            };
            readonly WS: {
                readonly label: "Samoa";
                readonly id: "WS";
                readonly dialCode: "+685";
            };
            readonly SM: {
                readonly label: "San Marino";
                readonly id: "SM";
                readonly dialCode: "+378";
            };
            readonly ST: {
                readonly label: "São Tomé and Príncipe (São Tomé e Príncipe)";
                readonly id: "ST";
                readonly dialCode: "+239";
            };
            readonly SA: {
                readonly label: "Saudi Arabia (‫المملكة العربية السعودية‬‎)";
                readonly id: "SA";
                readonly dialCode: "+966";
            };
            readonly SN: {
                readonly label: "Senegal (Sénégal)";
                readonly id: "SN";
                readonly dialCode: "+221";
            };
            readonly RS: {
                readonly label: "Serbia (Србија)";
                readonly id: "RS";
                readonly dialCode: "+381";
            };
            readonly SC: {
                readonly label: "Seychelles";
                readonly id: "SC";
                readonly dialCode: "+248";
            };
            readonly SL: {
                readonly label: "Sierra Leone";
                readonly id: "SL";
                readonly dialCode: "+232";
            };
            readonly SG: {
                readonly label: "Singapore";
                readonly id: "SG";
                readonly dialCode: "+65";
            };
            readonly SX: {
                readonly label: "Sint Maarten";
                readonly id: "SX";
                readonly dialCode: "+1721";
            };
            readonly SK: {
                readonly label: "Slovakia (Slovensko)";
                readonly id: "SK";
                readonly dialCode: "+421";
            };
            readonly SI: {
                readonly label: "Slovenia (Slovenija)";
                readonly id: "SI";
                readonly dialCode: "+386";
            };
            readonly SB: {
                readonly label: "Solomon Islands";
                readonly id: "SB";
                readonly dialCode: "+677";
            };
            readonly SO: {
                readonly label: "Somalia (Soomaaliya)";
                readonly id: "SO";
                readonly dialCode: "+252";
            };
            readonly ZA: {
                readonly label: "South Africa";
                readonly id: "ZA";
                readonly dialCode: "+27";
            };
            readonly KR: {
                readonly label: "South Korea (대한민국)";
                readonly id: "KR";
                readonly dialCode: "+82";
            };
            readonly SS: {
                readonly label: "South Sudan (‫جنوب السودان‬‎)";
                readonly id: "SS";
                readonly dialCode: "+211";
            };
            readonly ES: {
                readonly label: "Spain (España)";
                readonly id: "ES";
                readonly dialCode: "+34";
            };
            readonly LK: {
                readonly label: "Sri Lanka (ශ්‍රී ලංකාව)";
                readonly id: "LK";
                readonly dialCode: "+94";
            };
            readonly SD: {
                readonly label: "Sudan (‫السودان‬‎)";
                readonly id: "SD";
                readonly dialCode: "+249";
            };
            readonly SR: {
                readonly label: "Suriname";
                readonly id: "SR";
                readonly dialCode: "+597";
            };
            readonly SJ: {
                readonly label: "Svalbard and Jan Mayen";
                readonly id: "SJ";
                readonly dialCode: "+47";
            };
            readonly SZ: {
                readonly label: "Swaziland";
                readonly id: "SZ";
                readonly dialCode: "+268";
            };
            readonly SE: {
                readonly label: "Sweden (Sverige)";
                readonly id: "SE";
                readonly dialCode: "+46";
            };
            readonly CH: {
                readonly label: "Switzerland (Schweiz)";
                readonly id: "CH";
                readonly dialCode: "+41";
            };
            readonly SY: {
                readonly label: "Syria (‫سوريا‬‎)";
                readonly id: "SY";
                readonly dialCode: "+963";
            };
            readonly TW: {
                readonly label: "Taiwan (台灣)";
                readonly id: "TW";
                readonly dialCode: "+886";
            };
            readonly TJ: {
                readonly label: "Tajikistan";
                readonly id: "TJ";
                readonly dialCode: "+992";
            };
            readonly TZ: {
                readonly label: "Tanzania";
                readonly id: "TZ";
                readonly dialCode: "+255";
            };
            readonly TH: {
                readonly label: "Thailand (ไทย)";
                readonly id: "TH";
                readonly dialCode: "+66";
            };
            readonly TL: {
                readonly label: "Timor-Leste";
                readonly id: "TL";
                readonly dialCode: "+670";
            };
            readonly TG: {
                readonly label: "Togo";
                readonly id: "TG";
                readonly dialCode: "+228";
            };
            readonly TK: {
                readonly label: "Tokelau";
                readonly id: "TK";
                readonly dialCode: "+690";
            };
            readonly TO: {
                readonly label: "Tonga";
                readonly id: "TO";
                readonly dialCode: "+676";
            };
            readonly TT: {
                readonly label: "Trinisoad and Tobago";
                readonly id: "TT";
                readonly dialCode: "+1868";
            };
            readonly TN: {
                readonly label: "Tunisia (‫تونس‬‎)";
                readonly id: "TN";
                readonly dialCode: "+216";
            };
            readonly TR: {
                readonly label: "Turkey (Türkiye)";
                readonly id: "TR";
                readonly dialCode: "+90";
            };
            readonly TM: {
                readonly label: "Turkmenistan";
                readonly id: "TM";
                readonly dialCode: "+993";
            };
            readonly TC: {
                readonly label: "Turks and Caicos Islands";
                readonly id: "TC";
                readonly dialCode: "+1649";
            };
            readonly TV: {
                readonly label: "Tuvalu";
                readonly id: "TV";
                readonly dialCode: "+688";
            };
            readonly VI: {
                readonly label: "U.S. Virgin Islands";
                readonly id: "VI";
                readonly dialCode: "+1340";
            };
            readonly UG: {
                readonly label: "Uganda";
                readonly id: "UG";
                readonly dialCode: "+256";
            };
            readonly UA: {
                readonly label: "Ukraine (Україна)";
                readonly id: "UA";
                readonly dialCode: "+380";
            };
            readonly AE: {
                readonly label: "United Arab Emirates (‫الإمارات العربية المتحدة‬‎)";
                readonly id: "AE";
                readonly dialCode: "+971";
            };
            readonly GB: {
                readonly label: "United Kingdom";
                readonly id: "GB";
                readonly dialCode: "+44";
            };
            readonly US: {
                readonly label: "United States";
                readonly id: "US";
                readonly dialCode: "+1";
            };
            readonly UY: {
                readonly label: "Uruguay";
                readonly id: "UY";
                readonly dialCode: "+598";
            };
            readonly UZ: {
                readonly label: "Uzbekistan (Oʻzbekiston)";
                readonly id: "UZ";
                readonly dialCode: "+998";
            };
            readonly VU: {
                readonly label: "Vanuatu";
                readonly id: "VU";
                readonly dialCode: "+678";
            };
            readonly VA: {
                readonly label: "Vatican City (Città del Vaticano)";
                readonly id: "VA";
                readonly dialCode: "+39";
            };
            readonly VE: {
                readonly label: "Venezuela";
                readonly id: "VE";
                readonly dialCode: "+58";
            };
            readonly VN: {
                readonly label: "Vietnam (Việt Nam)";
                readonly id: "VN";
                readonly dialCode: "+84";
            };
            readonly WF: {
                readonly label: "Wallis and Futuna (Wallis-et-Futuna)";
                readonly id: "WF";
                readonly dialCode: "+681";
            };
            readonly YE: {
                readonly label: "Yemen (‫اليمن‬‎)";
                readonly id: "YE";
                readonly dialCode: "+967";
            };
            readonly ZM: {
                readonly label: "Zambia";
                readonly id: "ZM";
                readonly dialCode: "+260";
            };
            readonly ZW: {
                readonly label: "Zimbabwe";
                readonly id: "ZW";
                readonly dialCode: "+263";
            };
            readonly AX: {
                readonly label: "Åland Islands";
                readonly id: "AX";
                readonly dialCode: "+358";
            };
        };
        clearable: boolean;
        'aria-label': string;
        'aria-describedby': any;
        'aria-labelledby': any;
        focusLock: boolean;
        country: {
            label: string;
            id: string;
            dialCode: string;
        };
        disabled: boolean;
        error: boolean;
        id: any;
        maxDropdownHeight: string;
        maxDropdownWidth: string;
        name: any;
        onCountryChange: () => void;
        onTextChange: () => void;
        overrides: {};
        positive: boolean;
        required: boolean;
        size: "default";
        text: string;
    };
}
export default PhoneInputNext;
