import React from 'react';
import type { StatefulPhoneInputContainerProps, State, StateReducer, StateChange } from './types';
import type { OnChangeParams } from '../select';
import type { ChangeEvent } from 'react';
export default class StatefulPhoneInputContainer extends React.Component<StatefulPhoneInputContainerProps, State> {
    static defaultProps: {
        initialState: {
            text: string;
            country: {
                label: string;
                id: string;
                dialCode: string;
            };
        };
        onTextChange: () => void;
        onCountryChange: () => void;
        stateReducer: StateReducer;
        overrides: {};
    };
    state: State;
    internalSetState: (type: StateChange, nextState: Partial<State>) => void;
    onTextChange: (event: ChangeEvent<HTMLInputElement>) => void;
    onCountryChange: (event: OnChangeParams) => void;
    render(): React.ReactNode;
}
