"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Filter;
var React = _interopRequireWildcard(require("react"));
var _reactFocusLock = _interopRequireDefault(require("react-focus-lock"));
var _button = require("../button");
var _overrides = require("../helpers/overrides");
var _filter = _interopRequireDefault(require("../icon/filter"));
var _popover = require("../popover");
var _styledComponents = require("./styled-components");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); } /*
Copyright (c) Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
function Filter(props) {
  const {
    onSelectAll = () => {},
    onReset = () => {},
    overrides = {}
  } = props;
  const [MenuButton, menuButtonProps] = (0, _overrides.getOverrides)(overrides.MenuButton, _styledComponents.StyledFilterButton);
  const [Content, contentProps] = (0, _overrides.getOverrides)(overrides.Content, _styledComponents.StyledFilterContent);
  const [Heading, headingProps] = (0, _overrides.getOverrides)(overrides.Heading, _styledComponents.StyledFilterHeading);
  const [Footer, footerProps] = (0, _overrides.getOverrides)(overrides.Footer, _styledComponents.StyledFilterFooter);
  return /*#__PURE__*/React.createElement(_popover.StatefulPopover, {
    onClose: props.onClose,
    onOpen: props.onOpen,
    placement: _popover.PLACEMENT.bottom,
    stateReducer: (_, nextState) => {
      if (props.disabled) {
        return {
          ...nextState,
          isOpen: false
        };
      }
      return nextState;
    },
    content: ({
      close
    }) => /*#__PURE__*/React.createElement(_reactFocusLock.default, {
      autoFocus: false
      // Allow focus to escape when UI is within an iframe
      ,
      crossFrame: false
    }, /*#__PURE__*/React.createElement(Heading, headingProps, "Filter Column"), /*#__PURE__*/React.createElement(Content, contentProps, props.children), /*#__PURE__*/React.createElement(Footer, footerProps, /*#__PURE__*/React.createElement(_button.Button, {
      kind: _button.KIND.tertiary,
      size: _button.SIZE.compact,
      onClick: () => {
        onSelectAll();
      }
    }, "Select All"), /*#__PURE__*/React.createElement(_button.Button, {
      kind: _button.KIND.tertiary,
      size: _button.SIZE.compact,
      onClick: () => {
        onReset();
      }
    }, "Reset"), props.hasCloseButton && /*#__PURE__*/React.createElement(_button.Button, {
      kind: _button.KIND.tertiary,
      size: _button.SIZE.compact,
      onClick: close
    }, "Close"))),
    returnFocus: props.returnFocus
  }, /*#__PURE__*/React.createElement(MenuButton, _extends({
    $active: props.active,
    $disabled: props.disabled
  }, menuButtonProps), /*#__PURE__*/React.createElement(_filter.default, {
    size: 18
  })));
}