import * as React from 'react';
import type { ToastProps, ToastPropsShape, ToastPrivateState, SharedStylePropsArg } from './types';
declare class Toast extends React.Component<ToastProps, ToastPrivateState> {
    static defaultProps: ToastPropsShape;
    autoHideTimeout: ReturnType<typeof setTimeout> | undefined | null;
    animateInTimer: ReturnType<typeof setTimeout> | undefined | null;
    animateOutCompleteTimer: ReturnType<typeof setTimeout> | undefined | null;
    closeRef: {
        current: SVGSVGElement | undefined | null;
    } | undefined | null;
    previouslyFocusedElement: SVGElement | HTMLElement | undefined | null;
    state: {
        isVisible: boolean;
        isRendered: boolean;
        isFocusVisible: boolean;
    };
    constructor(props: ToastProps);
    componentDidMount(): void;
    componentDidUpdate(prevProps: ToastProps): void;
    componentWillUnmount(): void;
    handleFocus: (event: React.FocusEvent) => void;
    handleBlur: (event: React.FocusEvent) => void;
    startTimeout(): void;
    clearTimeout(): void;
    animateIn: () => void;
    animateOut: (callback?: () => unknown) => void;
    dismiss: () => void;
    onFocus: (e: React.FocusEvent) => void;
    onMouseEnter: (e: React.MouseEvent) => void;
    onBlur: (e: React.FocusEvent) => void;
    onMouseLeave: (e: React.MouseEvent) => void;
    getSharedProps(): Partial<SharedStylePropsArg>;
    render(): React.JSX.Element;
}
export default Toast;
